{
    "path": "$OET_PATH/testcases/function_test/pkg_test/granite/granite-devel",
    "machine num": 1,
    "cases": [
        {
            "name": "test_granite-devel_granite-demo_h",
            "desc": "测试 granite-demo 命令的 -h 参数，显示帮助选项"
        },
        {
            "name": "test_granite-devel_granite-demo_help-all",
            "desc": "测试 granite-demo 命令的 --help-all 参数，显示所有帮助选项"
        },
        {
            "name": "test_granite-devel_granite-demo_help-gapplication",
            "desc": "测试 granite-demo 命令的 --help-gapplication 参数，显示 GApplication 选项"
        },
        {
            "name": "test_granite-devel_granite-demo_help-gtk",
            "desc": "测试 granite-demo 命令的 --help-gtk 参数，显示 GTK+ 选项"
        },
        {
            "name": "test_granite-devel_granite-demo_display_upper_display",
            "desc": "测试 granite-demo 命令的 --display 参数，指定 X display 使用"
        },
        {
            "name": "test_granite-devel_function_window",
            "desc": "测试 granite-demo 窗口创建和显示功能"
        }
    ]
}